import { ChangeDetectorRef, OnDestroy } from '@angular/core';
import { CurrentDeviceService, PendingCallManager } from '@iotize/ionic';
import { AbstractVariable } from '@iotize/tap/data';
import { Observable, Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TapVariableDateTimePickerComponent implements OnDestroy {
    private changeDetectorRef;
    pendingCallManager: PendingCallManager;
    pendingSubmitValue: any;
    subscribe?: Subscription;
    error?: Error;
    loaded: boolean;
    set fieldError(err: Error);
    get pending(): boolean;
    format: string;
    label?: string;
    editable?: boolean;
    formatDataWrite: Function;
    formatDataRead: Function;
    _variable?: AbstractVariable<any>;
    set variable(variable: AbstractVariable<any> | undefined);
    set inputStream(inputs: Observable<any>);
    dateTimeValue?: string;
    constructor(changeDetectorRef: ChangeDetectorRef, tapService: CurrentDeviceService);
    ngOnDestroy(): void;
    defaultDataFormatWrite(data: any): number;
    defaultDataFormatRead(value: any): string;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TapVariableDateTimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TapVariableDateTimePickerComponent, "tap-variable-date-time-picker", never, { "fieldError": "fieldError"; "format": "format"; "label": "label"; "editable": "editable"; "formatDataWrite": "formatDataWrite"; "formatDataRead": "formatDataRead"; "variable": "variable"; "inputStream": "inputStream"; }, {}, never, never>;
}
